corda / net.corda.client.jfx.model / TrackedDelegate / EventSinkDelegate

# EventSinkDelegate

`class EventSinkDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `EventSinkDelegate(klass: KClass<M>, eventSinkProperty: (M) -> <ERROR CLASS><T>)`

### Properties

eventSinkProperty | `val eventSinkProperty: (M) -> <ERROR CLASS><T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): <ERROR CLASS><T>`